Subject: bug#74503: Test issues in "make check"

From: Gordon Steemson <[email-masked]>
Date: Mon, 25 Nov 2024 20:27:17 -0800

Hello again,

> On Nov 24, 2024, at 5:10 AM, Pádraig Brady <[email-masked]> wrote:
> 
> On 24/11/2024 05:34, Gordon Steemson wrote:
>> Setup:  [...]

I should also have added that the tests were running under the latest Bash 5.2.37 rather than the stock Bash 3.2, though fortunately it doesn't seem to have mattered.

>>  an error message complaining that “2á != 2á”.
> 
> I pushed a fix to use æ instead, as that does not have a separate decomposed form.

I can confirm that works.

>> - tests/misc/tee.sh [...]
> 
> The script is OK I think. darwin 9 is old (nearly 20 years old now!),
> so perhaps its poll vs select behavior is divergent enough with more recent macOS to be problematic.
> Could you try with this adjustment to the code.
> [...]

Got to admit I never would have guessed that one in a million years, but you appear to have been exactly right – your proposed tweak worked perfectly.

Thank you -- both 'make check' issues I encountered are now resolved.

Gordon S.